SQLi supports a limited set of statements from the SQL92 standard:

CREATE DATABASE databasename
	Create a new database
	(SQLi::query() returns TRUE on success, FALSE on failure)

CREATE TABLE tablename ( CREATION_DEFINITION )
	Create a new table.
  CREATION_DEFINITION:
	fieldname1 type[,...]
	type supported are 'int' and 'text'
	(SQLi::query() returns TRUE on success, FALSE on failure)

CREATE INDEX indexname ON tablename ( field1[,...] )
	Create a new index on tablename.
	(SQLi::query() returns TRUE on success, FALSE on failure)

CREATE SEQUENCE sequencename [START <startvalue>] [INCREMENT <incrementvalue>] [MAXVALUE <maxvalue>]
	Create a new sequence.
  RELATED FUNCTIONS:
  	Note: this functions can only be used in INSERT and UPDATE statements.

  	nextval(seqname) : return the next value from a sequence and advance
  			current value of the sequence.
  	currval(seqname) : return the current value of a sequence
	(SQLi::query() returns TRUE on success, FALSE on failure)

SELECT <* | field1[,...]> FROM table [WHERE_CLAUSE]
	Return records from a table.
  WHERE_CLAUSE:
  	SQLi supports only one operator in a where clause. It is '='
  	and works like 'equal' and 'like' (if the value is enclosed
  	between 2 %. Strings are enclosed between single quotes.
	ex:
	SELECT * FROM TABLE table1 WHERE field = 'test';
	  will return all the records having test as value for the column field

	SELECT * FROM TABLE table1 WHERE field = '%test%';
	  will return all the records having the column field containing
	  the word 'test'

	Logical operators supported by SQLi are 'AND' and 'OR'. 'AND' is
	supported like in other SQL engines. 'OR' works as separator
	between two or more parts of a where clause.
	ex.
	SELECT * FROM TABLE table1 WHERE field1='%test' AND field2=1 OR field1='check' AND field2=2
	  will return all the records matching "field1='%test' AND field2=1" and
	  all records matching "field1='check' AND field2=2"
	(SQLi::query() returns the number of the record selected on success,
	FALSE on failure)

UPDATE tablename SET field1=value[,...] [WHERE_CLAUSE]
	Changes column's values in all the records matching an optional where
	clause. If no where clause is given all the records are updated.
  WHERE_CLAUSE: (same as SELECT)
	(SQLi::query() returns the number of the records updated on success,
	0 on failure)

INSERT INTO tablename [ (field1[,...]) ] VALUES ( value1[,...] )
	Insert a new record into tablename, if a fieldlist is given only
	fields specified will be set, else the first field will be set with
	the first value, the second field will be set with the second value
	and so on.
	(SQLi::query() returns TRUE on success, FALSE on failure)

DELETE FROM tablename [WHERE_CLAUSE]
	Delete records from a table. If the where clause is not specified
	TRUNCATE is called instead.
  WHERE_CLAUSE: (same as SELECT)
	(SQLi::query() returns the number of delete records if a WHERE_CLAUSE
	 were specified, else it returns TRUE; on failure it returns FALSE)

TRUNCATE tablename
	Empty a table dropping and creating it back.
	(SQLi::query() returns TRUE on success, FALSE on failure)
DROP TABLE tablename
	Delete a table and remove description-files.
	(SQLi::query() returns TRUE on success, FALSE on failure)

DROP SEQUENCE tablename
	Delete a sequence and remove description-files.
	(SQLi::query() returns TRUE on success, FALSE on failure)

DROP DATABASE tablename
	Delete a database
	(SQLi::query() returns TRUE on success, FALSE on failure)

DROP INDEX indexname ON tablename
	Delete an index created on tablename and remove description-files.
	(SQLi::query() returns TRUE on success, FALSE on failure)

